%define modn   proxy_filter_xff
%define modv   0.3
%define htmmn  %(%{__cat} %{_includedir}/httpd/.mmn 2>/dev/null || echo 'None')


Summary:       Header filter module for Apache/mod_proxy
Name:          mod_%{modn}
Version:       %{modv}
Release:       2%{?dist}%{?pext}
License:       MIT
Group:         System Environment/Daemons
Source0:       ftp://ftp.pramberger.at/software/projects/%{modn}-%{modv}.tar.gz
Source1:       %{modn}.conf
URL:           http://www.pramberger.at/peter/software/projects/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Peter Pramberger <peterpramb@member.fsf.org>
Provides:      httpd-mod(%{modn}) = %{modv}
Requires:      httpd-mmn = %{htmmn}
BuildRequires: httpd-devel >= 2.2 %{_sbindir}/apxs
BuildRequires: libtool


%description
ProxyFilterXFF is a filter module for Apache, which removes X-Forwarded-*
headers from outgoing requests as inserted by mod_proxy in reverse setups.


%prep
%setup -q -n %{modn}-%{modv}


%build
%{_sbindir}/apxs -c %{name}.c


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf.d
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_libdir}/httpd/modules

%{__install} -m 0755 .libs/%{name}.so ${RPM_BUILD_ROOT}%{_libdir}/httpd/modules
%{__install} -m 0644 %{SOURCE1}       ${RPM_BUILD_ROOT}%{_sysconfdir}/httpd/conf.d


%postun
# Restart after erase/upgrade
/sbin/service httpd condrestart >/dev/null 2>&1 || :


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc AUTHORS README
%config(noreplace) %{_sysconfdir}/httpd/conf.d/%{modn}.conf
%{_libdir}/httpd/modules/%{name}.so


%changelog
* Thu Dec 11 2014 Peter Pramberger <peterpramb@member.fsf.org> - 0.3-2
- Fixed httpd dependency

* Fri Mar 04 2011 Peter Pramberger <peterpramb@member.fsf.org> - 0.3-1
- Initial build
